Bug 1289727 - Warn about creating gluster volumes where bricks are on same server
Warn about creating gluster volumes where bricks are on same server
Status: CLOSED WONTFIX
Product: vdsm
Classification: oVirt
Component: Core (Show other bugs)
4.17.11
Unspecified Unspecified
high Severity medium (vote)
: ovirt-3.6.3
: 4.17.11
Assigned To: Ala Hino
Aharon Canan
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 15:18 EST by Ala Hino
Modified: 2016-03-10 02:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 07:42:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amureini: ovirt‑3.6.z?
ylavi: blocker?
ylavi: planning_ack+
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Ala Hino 2015-12-08 15:18:12 EST
Description of problem:
When creating gluster replica 3 volumes where all bricks exist on same machine, we need to alert that basically this is not a "real" replica 3 volume. If the machine goes down, there are no backup servers.

The general case, of course, is when using creating replica volumes multiple bricks on same machine.
Comment 1 Yaniv Lavi 2015-12-28 07:42:47 EST
We will warn only on replica count 2 as said in BZ #1291705.

Note You need to log in before you can comment on or make changes to this bug.